include ../../modules/popup/mixin
include ../../modules/form/mixin

+popup('login')
	form(action="/api/login", method="post", autocomplete="off", data-from-name="login").form.form_auth
		.form-item
			.form-title Логин (email)
			.form-field
				+formInput('login', 'Email')
		.form-item
			.form-title Пароль
			.form-field
				+formInput('password', 'Пароль', '', 'password')
		.form-item.form-item_submit
			.form-field
				+formButton('submit', true) Войти
				span &nbsp;&nbsp;или&nbsp;
				a(href="#", data-popup-open=".popup_register") Зарегистрироваться
				div #[a(href="#", data-popup-open=".popup_restore") (Забыли пароль)]

+popup('register')
	form(action="/api/register", method="post", autocomplete="off", data-from-name="register").form.form_auth
		.form-item
			.form-title Email
			.form-field
				+formInput('login', 'Email')
		.form-item
			.form-title Придумайте пароль
			.form-field
				+formInput('password', 'Пароль', '', 'password')
		.form-item
			.form-title Фамилия Имя Отчество
			.form-field
				+formInput('fio', 'Как к вам обращаться?')
		.form-item
			.form-title Телефон
			.form-field
				+formInput('mobile', 'Номер мобильного телефона')
		.form-item
			.form-field
				+formCheckbox('legal') Юридическое лицо
		.form-item
			.form-title Банковские реквезиты (для юридических лиц)
			.form-field
				+formTextarea('requisites', 'Банковские реквезиты')
		.form-item
			.form-field
				+formCheckbox('subscribe') Присылать мне на почту информацию об акциях магазина
		.form-item
			.form-field
				.form-text Регистрируясь, Вы соглашаетесь с правилами #[a(href="#") политики конфиденциальности].
		.form-item.form-item_submit
			.form-field
				+formButton('submit', true) Зарегистрироваться
				span &nbsp;&nbsp;или&nbsp;
				a(href="#", data-popup-open=".popup_login") Авторизоваться


+popup('restore')
	form(action="/api/restore", method="post", autocomplete="off", data-from-name="restore").form.form_auth
		.form-item
			.form-title Логин (email)
			.form-field
				+formInput('login', 'Email')
		.form-item.form-item_submit
			.form-field
				+formButton('submit', true) Восстановить пароль
				div #[a(href="#", data-popup-open=".popup_login") (Вспомнили пароль)]

+popup('feedback')
	form(action="/api/feedback", method="post", autocomplete="off", data-from-name="feedback").form
		.form-group
			.form-item
				.form-title Email
				.form-field
					+formInput('email', 'Email')
			.form-item
				.form-title Фамилия Имя Отчество
				.form-field
					+formInput('fio', 'Как к вам обращаться')
		.form-item
			.form-title Сообщение
			.form-field
				+formTextarea('message', 'Напишите вопрос, проблему или просто пожелания')
		.form-item.form-item_submit
			.form-field
				+formButton('submit', true) Отправить

